local CloudburstInfo = CreateFrame("Frame", "CBIframe")

CloudburstInfo:SetPoint("CENTER", 0, 0)
CloudburstInfo:SetWidth(80)
CloudburstInfo:SetHeight(22)
CloudburstInfo:EnableMouse(true)
CloudburstInfo:SetMovable(true)
CloudburstInfo:RegisterForDrag("LeftButton")
CloudburstInfo:SetScript("OnDragStart", function(self) if IsShiftKeyDown() then self:StartMoving() end end)
CloudburstInfo:SetScript("OnDragStop", CloudburstInfo.StopMovingOrSizing)

local text = CloudburstInfo:CreateFontString(nil, "OVERLAY", "GameFontNormal")
text:SetPoint("CENTER")
text:SetTextColor(0, 171, 255, 1)

CloudburstInfo:RegisterEvent("UNIT_AURA")

local function UpdateText(self, event)
  if UnitBuff("player", "Cloudburst Totem") then
    local _, _, _, _, _, _, _, _, _, _, _, _, _, _, _, _, value1 = UnitBuff("player", "Cloudburst Totem")
    if value1 <= 0 then
      text:SetText(nil)
    else
      text:SetText(value1)
    end
  else
    text:SetText(nil)
  end
end

CloudburstInfo:SetScript("OnEvent", UpdateText)
